CVE-2011-4089

Priority
Description
The bzexe command in bzip2 1.0.5 and earlier generates compressed
executables that do not properly handle temporary files during extraction,
which allows local users to execute arbitrary code by precreating a
temporary directory.
Assigned-to
tyhicks
Notes
tyhicksI don't believe that YAMA prevents this vulnerability.
It is not yet clear what versions are affected.
mdeslaurPoC: http://www.exploit-db.com/exploits/18147/
PoC: http://pastebin.com/FaaEsXRW
Package
Source: bzip2 (LP Ubuntu Debian)
Upstream:released (1.0.6-1)
Patches:
Vendor:http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=632862#5
More Information

Updated: 2020-03-18 22:07:46 UTC (commit 2ea7df7bd1e69e1e489978d2724a936eb3faa1b8)